kcapi_memset_secure
Prev | Common API | Next

## Name

kcapi_memset_secure — `memset` implementation that will not be optimized away by the compiler

## Synopsis

`void kcapi_memset_secure (` | void * s,
| int c,
| size_t n`)`;

## Arguments

`s`

  [in] see memset(3)

`c`

  [in] see memset(3)

`n`

  [in] see memset(3)

## Description

The parameters, he logic and the return code is identical to memset(3).

Prev | Up | Next
kcapi_pad_iv | Home | kcapi_handle_reinit